/{organizationId}/{mandateId}/crm/contacts/{contactId}/dataPrivacyInformationGet data privacy information
Returns a PDF export with data privacy information for a contact
Required permissions:
mandate.read
tag.read
department.read
contactGroupType.read
contactGroup.read
contactGroupMembership.read
contract.read
plan.read
proof.read
certificate.read
contactIssuedPass.read
debtor.read
creditor.read
user.read
portalSettings.read
contactSegment.read
crmSettings.read
contactHistory.read
contactReport.read
contactNote.read
contactDocument.read
contactRule.read
voucher.read
receipt.read
posting.read
booking.read
event.read
attendee.read
resource.read
resourceReservation.read
resourceCheckIn.read
conversation.read
mailing.read
dispatchDocument.read
Permissions depending on contact type:
contact:member
contact:address
contact:customer
contact:sponsor
contact:contributor
contact:employee
contact:supplier
Path Parameters
organizationIdstringrequired mandateIdstringrequired contactIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}/dataPrivacyInformation' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
namestringrequired Additional properties are not allowed.
Response
{
"name": "string",
"data": {
"content": "string"
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}